it-swarm.com.de

Gibt es eine Möglichkeit, eine ältere Version von Safari zu installieren/zu emulieren? (d. h. 8)

Unter OSX: Nach einem Update von El Capitan stellte ich fest, dass Safari 9 standardmäßig installiert war . Zum Testen der Software muss ich eine Web-App über Safari 8 testen (die immer noch die neueste Version in Yosemite ist.) Ich habe gesucht, aber es gibt keine Möglichkeit (erwarten Sie bei browserstack), eine ältere Version von Safari zu installieren oder zu emulieren.

Gibt es außer dem Downgrade auf Yosemite eine Möglichkeit, dies zu tun?

22
Moncefmd

Möglicherweise sollten Sie am besten eines der nächtlichen WebKit -Downloads herunterladen, die Ihrer gewünschten Safari-Version entsprechen.

Der Safari-Versionsverlaufsartikel von Wikipedia listet die entsprechende WebKit-Version für jedes Safari-Release auf. Wenn Sie dann das Tag für diese Version in der WebKit-Quelle nachschlagen, finden Sie eine entsprechende Versionsnummer. Schließlich können Sie das WebKit Nightly Archives verwenden, um den nächsten nächtlichen Build herunterzuladen.

Safari 8.0.7 verwendete die WebKit-Version 600.7.12, die dem WebKit-Build r185729 am ehesten zu entsprechen scheint.

Ich weiß nicht, ob Sie mehr als ein WebKit-Build auf einem Computer ausführen können, aber Sie können zusätzlich zu Safari mindestens eine ältere Version als Zielversion verwenden.

19
robmathers

Ich habe auch nach älteren Safari-Versionen gesucht und eine Website gefunden, auf der sie zum Download angeboten werden.

Sie sind für meine OSX-Version zu alt, sodass ich sie nicht testen konnte - aber vielleicht funktioniert sie für jemanden.

http://www.oldapps.com/mac/de/safari.php

0
Andybanandy